Deep Security Manager REST API

Path: / rest / license / retrieveActivationCode

Retrieves the current activation code for the specified module


Method Summary
ResourceDescription
GET /rest/license/retrieveActivationCode?moduleNumber=…&sID=…Retrieves the current activation code for the specified module

Method Detail
HTTP Example:
GET /rest/license/retrieveActivationCode?moduleNumber=…&sID=…

API Example:

ILicenseAPI.retrieveActivationCode({'moduleNumber': /* moduleNumber 0 for AV, 1 for NET or VP, 2 for IM, 3 for LI, 4 for SAP. */,
  'sID': /* sID */});

Retrieves the current activation code for the specified module

Output:
java.lang.String - The current activation code for the specified module
Query parameters:
moduleNumber - 0 for AV, 1 for NET or VP, 2 for IM, 3 for LI, 4 for SAP. *

Note: If a single activation code was used to license all modules, all values (0-3) will return the same code.

sID
Produces:
text/plain

Copyright © 2015 Trend Micro Inc. All Rights Reserved.